## rust-fst 0.3.5

=== Makefile ===
all:
	echo Nothing to do...

ctags:
	ctags --options=ctags.rust --languages=Rust src/*.rs src/*/*.rs

docs:
	cargo doc
	in-dir ./target/doc fix-perms
	rscp ./target/doc/* gopher:~/www/burntsushi.net/rustdoc/

install:
	cargo build --manifest-path ./fst-bin/Cargo.toml --release
	cp fst-bin/target/release/fst $(CARGO_INSTALL_ROOT)/bin/

=== debian/changelog ===
rust-fst (0.3.5-1) unstable; urgency=medium

  * Package fst 0.3.5 from crates.io using debcargo 2.4.0

 -- Ximin Luo <infinity0@debian.org>  Sat, 20 Jul 2019 15:31:45 -0700

=== debian/control ===
Source: rust-fst
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-byteorder-1+default-dev <!nocheck>,
 librust-memmap-0.7+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fst]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fst
Homepage: https://github.com/BurntSushi/fst

# FIXME (packages."(name)".section) debcargo auto-generated summaries are very long, consider overriding

Package: librust-fst-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-byteorder-1+default-dev
Recommends:
 librust-fst+memmap-dev (= ${binary:Version})
Provides:
 librust-fst-0-dev (= ${binary:Version}),
 librust-fst-0.3-dev (= ${binary:Version}),
 librust-fst-0.3.5-dev (= ${binary:Version})
Description: Use finite state transducers to compactly represents sets or maps of many strings (> 1 billion is possible) - Rust source code
 This package contains the source for the Rust fst crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-fst+memmap-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-fst-dev (= ${binary:Version}),
 librust-memmap-0.7+default-dev
Provides:
 librust-fst+default-dev (= ${binary:Version}),
 librust-fst+mmap-dev (= ${binary:Version}),
 librust-fst-0+memmap-dev (= ${binary:Version}),
 librust-fst-0+default-dev (= ${binary:Version}),
 librust-fst-0+mmap-dev (= ${binary:Version}),
 librust-fst-0.3+memmap-dev (= ${binary:Version}),
 librust-fst-0.3+default-dev (= ${binary:Version}),
 librust-fst-0.3+mmap-dev (= ${binary:Version}),
 librust-fst-0.3.5+memmap-dev (= ${binary:Version}),
 librust-fst-0.3.5+default-dev (= ${binary:Version}),
 librust-fst-0.3.5+mmap-dev (= ${binary:Version})
Description: Use finite state transducers to compactly represents sets or maps of many strings (> 1 billion is possible) - feature "memmap" and 2 more
 This metapackage enables feature "memmap" for the Rust fst crate, by pulling in
 any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "default", and "mmap" features.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test fst 0.3.5 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-fnv-1+default-dev (>= 1.0.5-~~), librust-fst-levenshtein-0.2+default-dev, librust-fst-regex-0.2+default-dev, librust-lazy-static-0.2+default-dev (>= 0.2.8-~~), librust-quickcheck-0.7-dev, librust-rand-0.5+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fst 0.3.5 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-fnv-1+default-dev (>= 1.0.5-~~), librust-fst-levenshtein-0.2+default-dev, librust-fst-regex-0.2+default-dev, librust-lazy-static-0.2+default-dev (>= 0.2.8-~~), librust-quickcheck-0.7-dev, librust-rand-0.5+default-dev, librust-fst-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fst 0.3.5 --all-targets --features memmap
Depends: dh-cargo (>= 18), librust-fnv-1+default-dev (>= 1.0.5-~~), librust-fst-levenshtein-0.2+default-dev, librust-fst-regex-0.2+default-dev, librust-lazy-static-0.2+default-dev (>= 0.2.8-~~), librust-quickcheck-0.7-dev, librust-rand-0.5+default-dev, librust-fst+memmap-dev
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/fst-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fst .*/crates/fst/@ANY_VERSION@/download

## rust-fst 0.4.7

=== debian/changelog ===
rust-fst (0.4.7-2) unstable; urgency=medium

  * Team upload
  * Package fst 0.4.7 from crates.io using debcargo 2.7.11
  * Build with rust-memmap2 instead of rust-memmap

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 3 Oct 2025 14:54:55 -0400

rust-fst (0.4.7-1) unstable; urgency=medium

  * Team upload.
  * Package fst 0.4.7 from crates.io using debcargo 2.6.0
  * Drop relax-dep-versions.patch, no longer needed.
  * Set collapse_features = true.
  * Add patch to update dev-dependency on quickcheck and eliminate dev-dependcy
    on rand (which was only used to feed the old version of quickcheck).

 -- Peter Michael Green <plugwash@debian.org>  Tue, 03 Oct 2023 20:07:53 +0000

=== debian/control ===
Source: rust-fst
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fst]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fst
Homepage: https://github.com/BurntSushi/fst
X-Cargo-Crate: fst

# FIXME (packages."(name)".section) debcargo auto-generated summary for librust-fst-dev is very long, consider overriding

Package: librust-fst-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-utf8-ranges-1+default-dev (>= 1.0.4-~~)
Provides:
 librust-fst+default-dev (= ${binary:Version}),
 librust-fst+levenshtein-dev (= ${binary:Version}),
 librust-fst+utf8-ranges-dev (= ${binary:Version}),
 librust-fst-0-dev (= ${binary:Version}),
 librust-fst-0+default-dev (= ${binary:Version}),
 librust-fst-0+levenshtein-dev (= ${binary:Version}),
 librust-fst-0+utf8-ranges-dev (= ${binary:Version}),
 librust-fst-0.4-dev (= ${binary:Version}),
 librust-fst-0.4+default-dev (= ${binary:Version}),
 librust-fst-0.4+levenshtein-dev (= ${binary:Version}),
 librust-fst-0.4+utf8-ranges-dev (= ${binary:Version}),
 librust-fst-0.4.7-dev (= ${binary:Version}),
 librust-fst-0.4.7+default-dev (= ${binary:Version}),
 librust-fst-0.4.7+levenshtein-dev (= ${binary:Version}),
 librust-fst-0.4.7+utf8-ranges-dev (= ${binary:Version})
Description: Use finite state transducers to compactly represents sets or maps of many strings (> 1 billion is possible) - Rust source code
 Source code for Debianized Rust crate "fst"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test fst 0.4.7 --all-targets --all-features
Features: test-name=rust-fst:@
Depends: dh-cargo (>= 31), rustc, librust-doc-comment-0.3+default-dev (>= 0.3.1-~~), librust-fnv-1+default-dev (>= 1.0.6-~~), librust-memmap2-0+default-dev (>= 0.7-~~), librust-quickcheck-1-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fst 0.4.7 --all-targets
Features: test-name=librust-fst-dev:default
Depends: dh-cargo (>= 31), rustc, librust-doc-comment-0.3+default-dev (>= 0.3.1-~~), librust-fnv-1+default-dev (>= 1.0.6-~~), librust-memmap2-0+default-dev (>= 0.7-~~), librust-quickcheck-1-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fst 0.4.7 --all-targets --no-default-features --features levenshtein
Features: test-name=librust-fst-dev:levenshtein
Depends: dh-cargo (>= 31), rustc, librust-doc-comment-0.3+default-dev (>= 0.3.1-~~), librust-fnv-1+default-dev (>= 1.0.6-~~), librust-memmap2-0+default-dev (>= 0.7-~~), librust-quickcheck-1-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fst 0.4.7 --all-targets --no-default-features --features utf8-ranges
Features: test-name=librust-fst-dev:utf8-ranges
Depends: dh-cargo (>= 31), rustc, librust-doc-comment-0.3+default-dev (>= 0.3.1-~~), librust-fnv-1+default-dev (>= 1.0.6-~~), librust-memmap2-0+default-dev (>= 0.7-~~), librust-quickcheck-1-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fst 0.4.7 --all-targets --no-default-features
Features: test-name=librust-fst-dev:
Depends: dh-cargo (>= 31), rustc, librust-doc-comment-0.3+default-dev (>= 0.3.1-~~), librust-fnv-1+default-dev (>= 1.0.6-~~), librust-memmap2-0+default-dev (>= 0.7-~~), librust-quickcheck-1-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fst
Matching-Pattern:  .*/crates/fst/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/fst-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
